## GTcpWrapperConnection GTcpWrapperConnection — Wrapper for non-GSocketConnection-based, GSocket-based GIOStreams |

## Functions

GSocketConnection * | g_tcp_wrapper_connection_new ()
GIOStream * | g_tcp_wrapper_connection_get_base_io_stream ()

## Properties

GIOStream * | base-io-stream | Read / Write / Construct Only

## Types and Values

| GTcpWrapperConnection

## Object Hierarchy

        GObject
        ╰── GIOStream
            ╰── GSocketConnection
                ╰── GTcpConnection
                    ╰── GTcpWrapperConnection

## Includes

    #include <gio/gio.h>

## Description

A GTcpWrapperConnection can be used to wrap a GIOStream that is based on a GSocket, but which is not actually a GSocketConnection. This is used by GSocketClient so that it can always return a GSocketConnection, even when the connection it has actually created is not directly a GSocketConnection.

## Functions

### g_tcp_wrapper_connection_new ()

    GSocketConnection *
    g_tcp_wrapper_connection_new (GIOStream *base_io_stream,
                                  GSocket *socket);

Wraps `base_io_stream` and `socket` together as a GSocketConnection.

#### Parameters

base_io_stream | the GIOStream to wrap |
socket | the GSocket associated with `base_io_stream` |

#### Returns

the new GSocketConnection.

Since 2.28

### g_tcp_wrapper_connection_get_base_io_stream ()

    GIOStream *
    g_tcp_wrapper_connection_get_base_io_stream
                                   (GTcpWrapperConnection *conn);

Get's `conn` 's base GIOStream

#### Parameters

conn | a GTcpWrapperConnection |

#### Returns

`conn` 's base GIOStream.

[transfer none]

## Types and Values

### GTcpWrapperConnection

    typedef struct _GTcpWrapperConnection GTcpWrapperConnection;

GTcpWrapperConnection is an opaque data structure and can only be accessed using the following functions.

## Property Details

### The `“base-io-stream”` property

      “base-io-stream”           GIOStream *

The wrapped GIOStream.

Flags: Read / Write / Construct Only

## See Also

GSocketConnection.